import { MutableRefObject } from 'react';
import { monaco } from '@codingame/monaco-editor-wrapper';
export declare function useThemeColors(colors: string[]): (string | undefined)[];
export declare function useUserConfiguration(programmingLanguageId?: string): Partial<monaco.editor.IEditorOptions>;
export declare function useLastValueRef<T>(value: T): MutableRefObject<T>;
export declare function useLastVersion<P extends unknown[], R>(func: (...args: P) => R): (...args: P) => R;
export declare function usePrevious<T>(value: T): T | undefined;
export declare function useDeepMemo<T, D extends unknown[]>(memoFn: () => T, deps: D, isEqual?: (a: D, b: D) => boolean): T;
